2017-09-21 14:50 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000411mercuryBugpublic2017-08-22 10:38
Reporterwangp 
Assigned Towangp 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000411: abstract type not hidden
DescriptionIn the test case, foo.m exports an abstract type `foo' but bar.m is able to see that it is an equivalence type for int.

Of the compilers I have installed:
mercury-srcdist-rotd-2015-07-01 works correctly
mercury-srcdist-rotd-2015-08-10 is broken
Steps To Reproducemmc -m bar.m
TagsNo tags attached.
Attached Files
  • ? file icon foo.m (426 bytes) 2016-06-22 14:03
  • ? file icon bar.m (410 bytes) 2016-06-22 14:04

-Relationships
+Relationships

-Notes

~0000886

wangp (developer)

Oops, the step to reproduce is obviously "mmc -m bar" without the .m suffix.

~0000954

wangp (developer)

I nearly filed this bug again, having forgotten about it. Strange coincidence!

~0000957

wangp (developer)

Fix committed.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-22 14:03 wangp New Issue
2016-06-22 14:03 wangp File Added: foo.m
2016-06-22 14:04 wangp File Added: bar.m
2016-06-22 14:08 wangp Note Added: 0000886
2016-08-01 21:47 zs Assigned To => zs
2016-08-01 21:47 zs Status new => assigned
2017-06-22 15:38 wangp Note Added: 0000954
2017-08-22 10:38 wangp Assigned To zs => wangp
2017-08-22 10:38 wangp Status assigned => resolved
2017-08-22 10:38 wangp Resolution open => fixed
2017-08-22 10:38 wangp Note Added: 0000957
+Issue History